{
  "name": "insurance-test-automation-1",
  "version": "1.0.0",
  "description": "",
  "main": "index.js",
  "scripts": {
    "test": "echo \"Error: no test specified\" && exit 1",
    "cy:install": "cypress install",
    "cy:run": "cross-env ENV=qa local=true cypress run --config-file cypress.json --browser chrome --headless; npm run generate-reports",
    "cy:open": "cross-env ENV=qa local=true cypress open --config-file cypress.json",
    "qa:open": "cross-env ENV=qa local=true cypress open --config-file cypress.json",
    "dev:open": "cross-env ENV=dev local=true cypress open --config-file cypress.json",
    "demo:open": "cross-env ENV=demo local=true cypress open --config-file cypress.json",
    "dev:tag:chrome": "npx cross-env ENV=dev cypress-tags run --browser chrome -e TAGS='@Test'; npm run generate-reports",
    "qa:tag:chrome": "npx cross-env ENV=qa cypress-tags run --browser chrome -e TAGS='@smoke'; npm run generate-reports",
    "demo:tag:chrome": "npx cross-env ENV=demo cypress-tags run --browser chrome -e TAGS='@Test'; npm run generate-reports",
    "dev:tag:ff": "npx cross-env ENV=dev cypress-tags run --browser firefox -e TAGS='@Test'; npm run generate-reports",
    "qa:tag:ff": "npx cross-env ENV=qa cypress-tags run --browser firefox -e TAGS='@Alerts'; npm run generate-reports",
    "demo:tag:ff": "npx cross-env ENV=demo cypress-tags run --browser firefox -e TAGS='@Test'; npm run generate-reports",
    "dev:tag:edge": "npx cross-env ENV=dev cypress-tags run --browser edge -e TAGS='@Test'; npm run generate-reports",
    "qa:tag:edge": "npx cross-env ENV=qa cypress-tags run --browser edge -e TAGS='@Test'; npm run generate-reports",
    "demo:tag:edge": "npx cross-env ENV=demo cypress-tags run --browser edge -e TAGS='@Test'; npm run generate-reports",
    "delete-reports": "rm -rf cypress/reports",
    "generate-reports": "node ./report.js",
    "precy:run": "npm run delete-reports"
  },
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/viktoriia.rukhlevych/insurance-test-automation.git"
  },
  "keywords": [],
  "author": "",
  "license": "ISC",
  "reporter": "mochawesome",
  "reporterOptions": {
    "overwrite": false,
    "html": false,
    "json": true,
    "reportDir": "mochawesome-report"
  },
  "devDependencies": {
    "cross-env": "^7.0.3",
    "cypress": "6.8.0",
    "cypress-cucumber-preprocessor": "4.0.0",
    "cypress-xpath": "^1.6.2",
    "mochawesome": "6.2.2",
    "multiple-cucumber-html-reporter": "1.18.0"
  },
  "cypress-cucumber-preprocessor": {
    "nonGlobalStepDefinitions": true,
    "cucumberJson": {
      "generate": true,
      "outputFolder": "cypress/reports",
      "filePrefix": "",
      "fileSuffix": ".cucumber"
    }
  },
  "bugs": {
    "url": "https://gitlab.com/viktoriia.rukhlevych/insurance-test-automation/issues"
  },
  "homepage": "https://gitlab.com/viktoriia.rukhlevych/insurance-test-automation#readme",
  "dependencies": {}
}